/*
 Theme Name:   Twenty Seventeen Child for idlee.co.uk
 Theme URI:    https://wordpress.org/themes/twentyseventeen/
 Description:  Twenty Seventeen Child Theme
 Author:       Ian Lee
 Author URI:   https://www.idlee.co.uk
 Template:     twentyseventeen
 Version:      1.0.2
 Tags:         
 Text Domain:  
*/
@import url("../twentyseventeen/style.css");

/* =Theme customization starts here
-------------------------------------------------------------- */

.entry-content {
	color: #555;
	font-family: Tahoma, "Libre Franklin", "Helvetica Neue", helvetica, arial, sans-serif;
	font-size: 16px;
}
	
h1, h2, h3, h4, h5, h6 {
	clear: both;
	line-height: 1.4;
	margin: 0 0 0.75em 0;
	padding: 0;
}
h2 {font-weight: 600; font-size: 1.60rem;}
h3 {font-weight: 600; font-size: 1.40rem; color: #666;}
p {
	margin: 0 0 0.8rem 0;
	padding: 0;
	font-size: 1.2rem;
	line-height: 1.6rem;
}
p.block {overflow: auto; clear: both;}
hr {clear: both; margin-bottom: 1em;}

ol, ul {
padding-left: 2.5em;
}
ul {
list-style-image: url('yinyang-16px.png');
line-height: 2.0em;
}

img {
	height: auto; /* Make sure images are scaled correctly. */
	max-width: 100%; /* Adhere to container width. */
}
b,strong {font-weight: 600;}

.site-content-contain {background-color: #fff;}

.single-post:not(.has-sidebar) #primary, 
.page.page-one-column:not(.twentyseventeen-front-page) #primary, 
.archive.page-one-column:not(.has-sidebar) 
.page-header, 
.archive.page-one-column:not(.has-sidebar) #primary {
	max-width: 980px;
}
.wrap {
	max-width: 980px;
	padding-left: 0.5em;
	padding-right: 0.5em;
}
body.has-header-image .site-title, body.has-header-video .site-title, body.has-header-image .site-title a, body.has-header-video .site-title a {
	max-width: 900px;
}
.page:not(.home) #content {
	padding-bottom: 1.0em;
}
.site-content {
	padding: 0;
}
body:not(.twentyseventeen-front-page) .entry-header {
	padding: 0;
}

.page-one-column .panel-content .wrap {
	max-width: 980px;
	background-color: #fff;
}
.panel-content .wrap {
	padding-bottom: 1.0em;
	padding-top: 0;
}
.main-navigation ul {
	//background-color: #eee;
	line-height: 1.0em;
}
.main-navigation ul ul {
	background-color: #eee;
	line-height: 1.5em;
	max-width: 200px;
 	min-width: 150px;
}
.main-navigation li {
	background-color: #ddd;
	min-width: 38px;
	padding: 0 5px;
}
.main-navigation a {
	padding: 0.65em 0.45em; /* use to shorten menu bar */
}
.main-navigation a:hover {
	color: #ffffff;
	background-color: #3d6393; //#279a35
}
.main-navigation ul ul a {
	padding: 0.3em 0.5em;
	width: 100%;
}

.fb-icon, .fb-icon a {
	background-image: url('https://www.taichichuan.org.uk/wp-content/themes/twentyseventeen-child/facebook-logo.png');
	background-repeat: no-repeat;
	background-position: center;
}
.fb-icon a, .fb-icon a:hover {
	color: #000000;
	}

.site-header .menu-scroll-down {
	background-color: #ddd;
}
@media screen and (min-width: 1050px) {
.site-header .menu-scroll-down {
	right: -18px;
	}
}

input[type="search"] {
	max-width: 165px;
	border: 1px solid #ddd;
	font-size: 0.875rem;
	font-weight: 600;
	color: #126605;
	padding: 3px;
	margin: 2px;
}

.search-form label {
    margin-bottom: 0em;
}
.search-form .search-submit {
	padding: 0.4em 0.3em;
	right: 5px;
	top: 2px;
	bottom: 1px;
}
.search-form .search-submit .icon {
    height: 18px;
    top: -6px;
}

button[type="submit"], input[type="submit"] {
	color: #222;
	background-color: #ddd;
}
button[type="submit"]:hover, input[type="submit"]:hover {
	color: #fff;
	background-color: #3d6393;
}
label {
	display: contents;
	font-weight: normal;
}

.page .panel-content .entry-title, .page-title, body.page:not(.twentyseventeen-front-page) .entry-title {
	font-size: 2.0rem;
	text-transform: none !important;
}
.entry-header .entry-title {
	margin-bottom: 0;
	padding: 0.5em 0;
}
body:not(.twentyseventeen-front-page) .entry-header {
	padding: 0;
}
.page.page-one-column .entry-header, .twentyseventeen-front-page.page-one-column .entry-header, .archive.page-one-column:not(.has-sidebar) .page-header {
	margin-bottom: 0;
}
.site-footer {
	margin-top: 0em;
}
.site-footer p {
	font-size: 0.85rem;
	margin-bottom: 2em;
}
.site-footer .wrap {
	padding-bottom: 1.0em;
	padding-top: 0em;
}
.site-footer .widget-area {
    padding-bottom: 0 !important;
    padding-top: 0 !important;
}
h2.widget-title {
    margin-bottom: 0em !important;
}
.widget {
    padding-bottom: 2.0em !important;
}
.wp-caption .wp-caption-text {
	margin: 0.3em 0;
}

.entry-content a:hover {
	color: #ffffff;
	background-color: #3d6393;
}

a img {
	text-decoration: none;
	box-shadow: inset 0 -1px 0 rgba(15, 15, 15, 1);
}

a:link.nohighlight, a:hover.nohighlight {
	color: inherit;
	background-color: inherit;
	text-decoration: none;
	box-shadow: none;
}

img.alignleft {
float: left;
margin: 0px 10px 5px 0px;
}
img.alignright {
float: right;
margin: 0px 0px 5px 10px;
}
img.aligncenter {
display: block;
margin-left: auto;
margin-right: auto;
text-align: center;
}

.entry-content img.photo {
padding: 0px;
border-right: 1px solid #AAAAAA;
border-bottom: 1px solid #AAAAAA;
box-shadow: 2px 2px #CCCCCC;
margin: 4px 12px 4px 0px;
}
/*
.entry-content img.photo {
padding: 5px;
border: 1px solid #BBBBBB;
margin: 4px 8px 4px 8px;
color: inherit;
background-color: #FFFFFF;
}
*/
.page .panel-content .entry-title,
.page-title,
body.page:not(.twentyseventeen-front-page) .entry-title {
	letter-spacing: 0.12em;
}

/* change height of image on front page - originally 100vh */

.has-header-image.twentyseventeen-front-page .custom-header {
	height: 60vh;
}
.has-header-image:is(.twentyseventeen-front-page) .custom-header-media img {
	/* padding-bottom: 100px; */
}

div.myFooter {
	margin: 0 auto;
	text-align: center;
	background-color: #8e9c6f //D4DEBD;
}
.site-footer p {
	padding-bottom: 10px;
}
div.myFooter a img {
	max-height: 50px;
	width: auto;
	border: 1px solid #aaa;
	padding: 5px;
	margin: 0 5px;
	background-color: #fefefe;
}

table.table0 { /* tai chi  */
width: 100%;
margin: 0px auto 0px auto;
padding: 0 10px;
border: none;
background: #f1f1f1;
}

table.table1 { /* form lists/classes/links/book list pages */
width: 100%;
margin: 0px auto 10px auto;
border: 1px solid #000000;
border-collapse: collapse;
border-spacing: 0px;
color: inherit;
background: #f1f1f1;
}

table.table1 th {
padding: 5px 10px;
border: 1px solid #000000;
background: #8e9c6f;
font-weight: 400;
color: #FFFFFF;
}
table.table1 th h2 { color: #FFFFFF; }

table.table1 td {
padding: 10px;
border: 1px solid #000000;
}

.table1 a img {
	box-shadow: 0 0 0 0px #fff;
}

.box50 { /* side-by-side videos */
position: relative;
float: left;
width: 50%;
margin: 0px 0px 0px 0px;
text-align: center;
}

.dropdown-toggle { /* hamburger arrow icon */
  border: 2px solid #AAA;
  font-size: 1.3em;
  right: 0.5em;
  padding: 0 0.3em;
  top: 0.05em;
}

@media screen and (max-width: 768px) { /* vertical tablet size - start hamburger menu here */
	.has-header-image.twentyseventeen-front-page .custom-header {
		height: 50vh;
		min-height: 100px;
		max-height: 200px;
	}
	.has-header-image:is(.twentyseventeen-front-page) .custom-header-media img {
		padding-bottom: 350px;
	}
body:not(.title-tagline-hidden) .site-branding-text {
	display: inline-block;
	max-width: 100%;
	vertical-align: middle;
	padding-bottom: 40px;
	}
.custom-logo-link img {
	display: inline-block;
	max-height: 70px;
	width: auto;
	}

.js .main-navigation.toggled-on > div > ul {
	display: block;
	width: 75%;
	margin: 0 auto;
	}

}

@media screen and ( max-width: 580px ) {
	img.alignleft, img.alignright, .wp-caption {
	float:none;
	display: block;
	margin-left: 0;
	margin-right: 0;
	}
}

@media screen and (min-width: 30em) {
	.site-branding {
	padding: 3em 0;
	vertical-align: middle !important;
	}
	.custom-logo-link {
	vertical-align: top;
	}
}

@media (max-width: 500px) {
	.site-branding {
	padding: 2em 0;
	}
	.has-header-image.twentyseventeen-front-page .custom-header {
		height: 50vh;
		min-height: 100px;
		max-height: 100px;
	}
	.has-header-image:is(.twentyseventeen-front-page) .custom-header-media img {
		padding-bottom: 200px;
	}
body:not(.title-tagline-hidden) .site-branding-text {
	display: inline-block;
	max-width: 100%;
	vertical-align: middle;
	padding-bottom: 40px;
	}
.custom-logo-link img {
	display: inline-block;
	max-height: 70px;
	width: auto;
	}
}

/* Turns off home page title
.page.page-one-column .entry-header, .twentyseventeen-front-page.page-one-column .entry-header, .archive.page-one-column:not(.has-sidebar) .page-header {
	display: none;
  }
*/
